.form-order {
    margin-top: 40px;
    width: 100%;
    max-height: 100%;
    padding: 40px 20px;
    background-color: #e1f1e9;
    border-radius: 12px;
    box-shadow: rgba(225, 241, 233, 0.3) 0px 19px 38px, rgba(225, 241, 233, 0.3) 0px 15px 12px;

    @media (max-width:320px),
    (min-width:320px) {
        order: 1;
    }

    @media(min-width:1050px) {
        order: 0
    }

    &__title {
        line-height: 24px;
        font-size: 24px;
        font-weight: 600;
    }

    .row {
        display: flex;
        justify-content: space-between;
        align-items: start;
        gap: 30px;
        margin-top: 30px;

        &:last-child {
            margin-top: 50px;
            justify-content: center;
        }

        @media (min-width:320px),
        (max-width:320px) {
            flex-direction: column;
        }

        @media(min-width:768px) {
            flex-direction: row;

        }

        & label span {
            display: inline-block;
            margin-bottom: 5px;
            margin-left: 5px;
        }
    }

    label {
        width: 100%;
    }

    .input-order {
        width: 100%;
        margin-bottom: 4px;
        padding: 15px 10px;
        border: 1px solid #ddd;
        border-radius: 8px;
        font-size: 18px;
        background-color: #f9f9f9;
        transition: border-color 0.3s ease, background-color 0.3s ease;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);

        &:hover {
            border-color: #6bd5a4;
        }

        &:focus {
            border-color: #3BB77E;
            background-color: #fff;
            outline: none;
        }

        &::placeholder {
            color: #ccc;
            font-size: 14px;
        }

        &.has-valid {
            border-color: #F74B81;
            color: #F74B81;
        }
    }

    .btn-order {

        display: inline-block;
        padding: 15px 40px;
        color: #3BB77E;
        background-color: #b6e8d0;
        border-radius: 8px;
        font-weight: 600;
        font-size: 24px;
        transition: background-color 0.3s ease, transform 0.3s ease;
        text-transform: uppercase;
        text-align: center;

        &:hover {
            background-color: #3BB77E;
            color: white;
            transform: translateY(-2px);
        }
    }

}


.checkout-form {
    background-color: #D8F1E5;
    box-shadow: 5px 5px 15px 0px rgba(0, 0, 0, 0.05);
    padding: 40px;
    border-radius: 12px;
    width: 70%;

    .title-form {
        color: #3BB77E;
        font-size: 30px;
        font-weight: 600;
        padding-bottom: 20px;
    }

    form {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 15px;

        div {
            position: relative;

            input {
                width: 100%;
                padding: 10px;
                border: 1px solid #ddd;
                border-radius: 8px;
                font-size: 16px;
                background-color: #f9f9f9;
                transition: border-color 0.3s ease, background-color 0.3s ease;
                box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);

                &:hover {
                    border-color: #6bd5a4;
                }

                &:focus {
                    border-color: #3BB77E;
                    background-color: #fff;
                    outline: none;
                }

                &::placeholder {
                    color: #ccc;
                    font-size: 14px;
                }


            }
        }


        button {
            padding: 15px;
            color: #3BB77E;
            background-color: #b6e8d0;

            border-radius: 8px;
            font-weight: 600;
            cursor: pointer;
            transition: background-color 0.3s ease, transform 0.3s ease;
            text-transform: uppercase;
            letter-spacing: 1px;
            text-align: center;

            &:hover {
                background-color: #3BB77E;
                color: white;
                transform: translateY(-2px);
            }
        }

        .total-amount {
            grid-column: span 2;
            text-align: right;
            font-size: 21px;
            color: #3BB77E;
            margin-top: 10px;
        }
    }
}